#startscreen

import pygame
from pygame.locals import *
import game, scoreboard


buttons = {'endit': Rect(45, 245, 312, 90),
           'judge': Rect(410, 245, 155, 90)}

lastword='lastword'

class GameMode:
    def __init__(self, won, word=None):
        global lastword
        if word is None:
            word = lastword
        lastword = word
        self.won = won
        self.pos = 120
        self.bgd = game.graphic['endturn']
        game.screen.blit(self.bgd, (0,0))

        if won:
            self.winimg = game.graphic['winner']
        else:
            self.winimg = game.graphic['loser']

        self.winimg.set_alpha(200, RLEACCEL)            
        game.screen.blit(self.winimg, (self.pos, 0))
    

        text = scoreboard.scoretext(word)
        r = text.get_rect()
        r.center = 320, 175
        game.screen.blit(text, r)

        scoreboard.draw(0)
        game.dirty = [game.screen.get_rect()]
        

    def tick(self, event):
        if event.type == MOUSEBUTTONDOWN:
            for f, r in buttons.items():
                if r.collidepoint(event.pos):
                    getattr(self, f)()
        elif event.type == NOEVENT:
            self.pos -= 2
            if self.pos < -500:
                self.pos = 640
            game.screen.blit(self.bgd, (0, 0), (0, 0, 640, 120))
            game.screen.blit(self.winimg, (self.pos, 0))
            game.dirty.append(Rect(0, 0, 640, 120))
            

    def endit(self):
        if self.won:
            if game.easyhard:
                game.sound['corkpop'].play()
            if game.whosturn == 'red':
                game.redscore += game.easyhard+1
            else:
                game.bluescore += game.easyhard+1
            scoreboard.draw(0)
            pygame.display.flip()
            pygame.time.delay(500)

        if game.whosturn == 'red':
            game.whosturn = 'blue'
        else:
            game.whosturn = 'red'

        if game.redscore < game.endscore and game.bluescore < game.endscore:
            import roundstart
            game.gamemode = roundstart.GameMode()
        else:
            import gameover
            game.gamemode = gameover.GameMode()


    def judge(self):
        import judge
        game.gamemode = judge.GameMode()