# initialize

import os

import pygame, pygame.image, pygame.mixer, pygame.font
from pygame.locals import *

import game


def initialize():
    pygame.init()
    
    game.screen = pygame.display.set_mode((640, 480), FULLSCREEN)


    game.scorefont = pygame.font.Font(None, 120)
    game.thinfont = pygame.font.Font('thinfont.ttf', 18)

    for file in os.listdir('gfx'):
        pathfile = os.path.join('gfx', file)
        try:
            image = pygame.image.load(pathfile).convert()
            name = os.path.splitext(file)[0]
            game.graphic[name] = image
        except pygame.error, m:
            print 'ERROR LOADING', file, m


    for file in os.listdir('snd'):
        try:
            pathfile = os.path.join('snd', file)
            sound = pygame.mixer.Sound(pathfile)
            name = os.path.splitext(file)[0]
            game.sound[name] = sound
        except pygame.error, m:
            print 'ERROR LOADING', file, m
        