#startscreen

import random

import pygame, pygame.transform
from pygame.locals import *
import game, scoreboard


thumbpos = 460, 350

class GameMode:
    def __init__(self):
        game.sound['strangewhoa'].play()
        self.heart = game.sound['heartbeat'].play()
        self.vote = 0.0
        self.numvotes = 0

        self.bgd = game.graphic['judge']
        game.screen.blit(self.bgd, (0,0))

        self.thumb = game.graphic['thumb']

        r = self.thumb.get_rect()
        r.center = thumbpos
        self.thumbrect = r

        game.screen.blit(self.thumb, r)        
        game.dirty = [game.screen.get_rect()]
        

    def tick(self, event):
        if event.type == NOEVENT:
            change = (random.random() - 0.5) * .08
            self.vote += change
            self.vote = min(self.vote, 1.0)
            self.vote = max(self.vote, -1.0)

            self.numvotes += 1
            if self.numvotes >= 500:
                if self.vote > 0.0:
                    self.vote = 1.0
                else:
                    self.vote = -1.0

            game.screen.blit(self.bgd, self.thumbrect, self.thumbrect)
            oldrect = self.thumbrect

            angle = self.vote * -90.0
            t = pygame.transform.rotate(self.thumb, angle)
            r = t.get_rect()
            r.center = thumbpos
            self.thumbrect = r

            game.screen.blit(t, r)

            game.dirty.append(r.union(oldrect))


            if self.vote == 1.0:
                self.heart.stop()
                game.sound['strangewhoa'].play()
                pygame.display.update()
                pygame.time.delay(1000)
                import endturn
                game.gamemode = endturn.GameMode(1)
            elif self.vote == -1.0:
                self.heart.stop()
                game.sound['strangewhoa'].play()
                pygame.display.update()
                pygame.time.delay(1000)
                import endturn
                game.gamemode = endturn.GameMode(0)
            
            
