#startscreen

import pygame
from pygame.locals import *
import game, scoreboard


buttons = {'red': Rect(439, 80, 153, 133),
           'blue': Rect(384, 216, 170, 133),
           'goback': Rect(0, 0, 110, 110),
           'redup': Rect(70, 375, 72, 50),
           'reddown': Rect(70, 425, 72, 50),
           'blueup': Rect(526, 375, 72, 50),
           'bluedown': Rect(526, 425, 72, 50),
           'endgame': Rect(243, 19, 100, 100),
           }


class GameMode:
    def __init__(self):
        self.draw()

    def draw(self):
        game.screen.blit(game.graphic['refereebgd'], (0,0))
        arrow=game.graphic['arrow']
        if game.whosturn == 'red':
            game.screen.blit(arrow, buttons['red'].move(-50, -10))
        else:
            game.screen.blit(arrow, buttons['blue'].move(-50, -10))
            
        
        scoreboard.draw(0)

        plusminus = game.graphic['plusminus']
        game.screen.blit(plusminus, (70, 375))
        game.screen.blit(plusminus, (526, 375))
        
        game.dirty = [game.screen.get_rect()]
        
        

    def tick(self, event):
        if event.type == MOUSEBUTTONDOWN:
            for f, r in buttons.items():
                if r.collidepoint(event.pos):
                    getattr(self, f)()

    def red(self):
        game.sound['cannon'].play()
        game.whosturn = 'red'
        self.draw()

    def blue(self):
        game.sound['cannon'].play()
        game.whosturn = 'blue'
        self.draw()

    def goback(self):
        game.sound['whistle'].play()
        import roundstart
        game.gamemode = roundstart.GameMode()

    def redup(self):
        game.sound['corkpop'].play()
        game.redscore += 1
        self.draw()

    def reddown(self):
        game.sound['carskid'].play()
        game.redscore -= 1
        self.draw()

    def blueup(self):
        game.sound['corkpop'].play()
        game.bluescore += 1
        self.draw()

    def bluedown(self):
        game.sound['carskid'].play()
        game.bluescore -= 1
        self.draw()

    def endgame(self):
        game.sound['whistle'].play()
        import gameover
        game.gamemode = gameover.GameMode()