#startscreen

import random

import pygame, pygame.transform
from pygame.locals import *

import game


center = 320, 350

class GameMode:
    def __init__(self):
        game.screen.blit(game.graphic['whostarts'], (0,0))
        self.angle = random.random()*360.0
        self.speed = random.random()*10+20
        self.drawwheel()
        game.dirty = [game.screen.get_rect()]
        self.firsttick = 1
        self.lastangle = self.angle

    def tick(self, event):
        if event.type == KEYDOWN and event.key == K_s:
            self.speed = 0;
        elif event.type == NOEVENT:
            if self.firsttick:
                self.firsttick = 0
                pygame.time.delay(1000)
            self.angle += self.speed
            if self.angle >= 360.0:
                self.angle -= 360.0
            self.speed -= self.speed*.004
            if self.speed < 0.1:
                self.finish()
            else:
                self.drawwheel()

            if self.lastangle%180 > self.angle%180:
                game.sound['arrowtwang'].play()
            self.lastangle = self.angle


    def drawwheel(self):
        if self.angle < 180.0:
            img = game.graphic['bluewheel']
        else:
            img = game.graphic['redwheel']
        r = img.get_rect()
        r.center = center
        game.screen.blit(img, r)
        game.dirty.append(r)

        arrow = game.graphic['spinarrow']
        rot = pygame.transform.rotate(arrow, -self.angle)
        #rot=arrow
        r = rot.get_rect()
        r.center = center
        game.screen.blit(rot, r)

        


    def finish(self):
        bigx = game.graphic['bigx']
        if self.angle < 180.0:
            game.whosturn = 'blue'
            r = game.screen.blit(bigx, (30, 30))
        else:
            game.whosturn = 'red'
            r = game.screen.blit(bigx, (350, 30))
        game.dirty.append(r)
        pygame.display.update(game.dirty)
        game.dirty = []

        game.sound['cheer'].play()
        pygame.time.delay(2000)

        import roundstart
        game.gamemode = roundstart.GameMode()
